Package com.io7m.waxmill.client.vanilla

# Class WXMClients

java.lang.Object
com.io7m.waxmill.client.vanilla.WXMClients

All Implemented Interfaces:
  `WXMClientProviderType`

    public final class WXMClients
    extends java.lang.Object
    implements WXMClientProviderType

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `WXMClients()` |
  `WXMClients​(WXMClientConfigurationParserProviderType inClientConfigurationParsers, WXMClientConfigurationSerializerProviderType inClientConfigurationSerializers, WXMVirtualMachineDatabaseProviderType inDatabases, WXMProcessesType inProcesses)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `WXMClientType` | `open​(WXMClientConfiguration configuration)` | Open a client using the given client configuration.
  `WXMClientType` | `open​(java.nio.file.Path configurationFile)` | Open a client using the given client configuration file.
  `java.lang.String` | `toString()` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### WXMClients

    public WXMClients​(WXMClientConfigurationParserProviderType inClientConfigurationParsers, WXMClientConfigurationSerializerProviderType inClientConfigurationSerializers, WXMVirtualMachineDatabaseProviderType inDatabases, WXMProcessesType inProcesses)

  - ### WXMClients

    public WXMClients()

- ## Method Details

  - ### toString

    public java.lang.String toString()
    Overrides:
      `toString` in class `java.lang.Object`

  - ### open

    public WXMClientType open​(WXMClientConfiguration configuration) throws WXMException
    Description copied from interface: `WXMClientProviderType`
    Open a client using the given client configuration.
    Specified by:
      `open` in interface `WXMClientProviderType`
    Parameters:
      `configuration` - The client configuration
    Returns:
      A new client
    Throws:
      `WXMException` - On errors

  - ### open

    public WXMClientType open​(java.nio.file.Path configurationFile) throws WXMException
    Description copied from interface: `WXMClientProviderType`
    Open a client using the given client configuration file.
    Specified by:
      `open` in interface `WXMClientProviderType`
    Parameters:
      `configurationFile` - The path to the client configuration file
    Returns:
      A new client
    Throws:
      `WXMException` - On errors